%define upstream_name	 XML-LibXML-Common
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1

Summary:	Various functions used by XML::LibXML, XML::LibXSLT
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     XML-LibXML-Common-0.13-fix-format-errors.patch

BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
XML::LibXML::Common contains several constants and functions that
are shared by XML::LibXML, XML::GDOME and XML::LibXSLT (not all done, yet)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/XML
%{perl_vendorarch}/XML
%{_mandir}/*/*



%changelog
* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 401475
- rebuild using %%perl_convert_version
- fixed license field

* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-10mdv2010.0
+ Revision: 378113
- fix format errors

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.13-9mdv2009.1
+ Revision: 351687
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.13-8mdv2009.0
+ Revision: 224635
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.13-7mdv2008.1
+ Revision: 151399
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 0.13-6mdv2008.0
+ Revision: 64780
- rebuild

* Fri Apr 27 2007 Pixel <pixel@mandriva.com> 0.13-5mdv2008.0
+ Revision: 18626
- rebuild
- move "make test" into %%check section


* Fri Feb 03 2006 Pixel <pixel@mandriva.com> 0.13-4mdk
- rebuild

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-3mdk
- rebuild for new perl

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.13-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Sat May 31 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.13-1mdk
- 0.13

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-2mdk
- rebuild for perl auto{prov,req}

